#!/bin/bash
date > /root/local.txt
FILE_PATH=/mnt/cdrom
CDROM=/dev/cdrom
REPO_FILE_PATH=/etc/yum.repos.d
YUM_REPO=/etc/yum.repos.d/cdrom.repo
RELEASE=`cat /etc/redhat-release | awk '{ print $1}'`
umount $CDROM
if [ -d $FILE_PATH ]; then
        echo "$FILE_PATH is already exists!"
  else
        echo "$FILE_PATH will be  ceated ."
        mkdir  $FILE_PATH
fi
mount $CDROM $FILE_PATH
check=$(mount | grep cdrom)
if [ -z "$check" ];then
	echo "Check Cdrom ERROR: Please Insert a CentOS or RedHat Disk,wait 10s..."
	sleep 10
mount $CDROM $FILE_PATH
fi
mkdir -p $REPO_FILE_PATH/backup
mv $REPO_FILE_PATH/*.repo $REPO_FILE_PATH/backup
if [ "CentOS" == $RELEASE ];then
echo "[server]
name=redhat
baseurl=file:///mnt/cdrom
gpgcheck=0
enabled=1" > $YUM_REPO
else
echo "[server]
name=redhat
baseurl=file:///mnt/cdrom/Server
gpgcheck=0
enabled=1" > $YUM_REPO
fi
date >> /root/local.txt
echo "Show build local yum cost time:"
cat /root/local.txt | awk '{ print $5 }'
